package implementation;

import java.util.ArrayDeque;

public class PositionQueue extends ArrayDeque<Integer> {
    private int x, y, z;
    private boolean isSet;

    public PositionQueue(PPoint p, ArrayDeque<Integer> queue){
        super(queue);
        this.x = p.getX();
        this.y = p.getY();
        this.z = p.getZ();
        this.isSet = false;
    }

    public void clearAndAdd(int partState){
        clear();
        offer(partState);
    }

    public PositionQueue clone(){
        return new PositionQueue(new PPoint(x, y, z), this);
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public boolean isSet() {
        return isSet;
    }

    public void setSet(boolean isSet) {
        this.isSet = isSet;
    }

    public int getZ() {
        return z;
    }

    public void setZ(int z) {
        this.z = z;
    }
}
