package implementation;

public class PPoint {
    private int x, y, z;

    public PPoint(int x, int y, int z) {
        this.x = x;
        this.y = y;
        this.z = z;
    }

    public boolean equals(Object e) {
        if (e instanceof PPoint) {
            PPoint p = (PPoint) e;
            return this.x == p.x && this.y == p.y && this.z == p.z;
        } else {
            return false;
        }
    }

    public boolean isMiddle(int dimX, int dimY, int dimZ) {
        return x == dimX / 2 && y == dimY / 2 && z == dimZ / 2;
    }

    public int getX() {
        return x;
    }

    public void setX(int x) {
        this.x = x;
    }

    public int getY() {
        return y;
    }

    public void setY(int y) {
        this.y = y;
    }

    public int getZ() {
        return z;
    }

    public void setZ(int z) {
        this.z = z;
    }
}
